> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Node

> Create a new node in an organization.



## OpenAPI

````yaml post /orgs/{org_id}/nodes
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/nodes:
    post:
      tags:
        - nodes
      summary: Create Node
      description: Create a new node in an organization.
      operationId: create_node_orgs__org_id__nodes_post
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNodeRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateNodeRequest:
      properties:
        title:
          type: string
          title: Title
          description: Node title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Node description
          default: ''
        tags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tags
          description: Node tags
        directories:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Directories
          description: Directory paths
        public_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Public Id
          description: Optional custom public ID
        commit_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Message
          description: Optional commit message (defaults to 'Initial commit')
      type: object
      required:
        - title
      title: CreateNodeRequest
      description: Request model for creating a new node.
    NodeResponse:
      properties:
        id:
          type: string
          title: Id
          description: Node ID
        title:
          type: string
          title: Title
          description: Node title
        description:
          type: string
          title: Description
          description: Node description
        org_id:
          type: string
          title: Org Id
          description: Organization ID
        public_id:
          type: string
          title: Public Id
          description: Public identifier
        created_by:
          type: string
          title: Created By
          description: Creator user ID
        created_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Email
          description: Creator email address
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        tags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Tags
          description: Node tags
        directories:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Directories
          description: Directory paths
        num_parents:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Parents
          description: How many parents contain this node
        num_children:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Children
          description: How many children this node contains
        num_descendants:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Descendants
          description: Total nodes reachable by walking down the tree
          default: 0
        num_ancestors:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Ancestors
          description: Total nodes reachable by walking up the tree
          default: 0
      type: object
      required:
        - id
        - title
        - description
        - org_id
        - public_id
        - created_by
        - created_at
      title: NodeResponse
      description: Response model for node data.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````